# $Id$

# export SHOW_BOOTSTRAP='
# <window title="Bootstrap" icon-name="gtk-preferences" window_position="1" resizable="true">
# 	<vbox>
# 		<pixmap>
# 			<input file>header.png</input>
# 		</pixmap>
# 		<hbox spacing="160">
# 			<pixmap>
# 				<input file stock="gtk-preferences"></input>
# 			</pixmap>
# 			<text>
# 				<label>Installing system</label>
# 			</text>
# 		</hbox>
# 		<progressbar>
# 			<label>Installing...</label>
# 			<input> include/bootstrap-wrapper.sh </input>
# 			<action type="exit">Ready</action>
# 		</progressbar>
# 	</vbox>
# </window>
# '
# 
# export DOWNLOAD_STAGE1='
# <window title="Installation" icon-name="gtk-preferences" window_position="1" resizable="true">
# 	<vbox>
# 		<pixmap>
# 			<input file>header.png</input>
# 		</pixmap>
# 		<hbox spacing="160">
# 			<pixmap>
# 				<input file stock="gtk-preferences"></input>
# 			</pixmap>
# 			<text>
# 				<label>Downloading Stage1</label>
# 			</text>
# 		</hbox>
# 		<progressbar>
# 			<input> include/bootstrap-wrapper.sh download_stage1</input>
# 			<action type="exit">Ready</action>
# 		</progressbar>
# 	</vbox>
# </window>
# '
# 
# export DOWNLOAD_STAGE2='
# <window title="Installation" icon-name="gtk-preferences" window_position="1" resizable="true">
# 	<vbox>
# 		<pixmap>
# 			<input file>header.png</input>
# 		</pixmap>
# 		<hbox spacing="160">
# 			<pixmap>
# 				<input file stock="gtk-preferences"></input>
# 			</pixmap>
# 			<text>
# 				<label>Downloading Stage2</label>
# 			</text>
# 		</hbox>
# 		<progressbar>
# 			<input> include/bootstrap-wrapper.sh download_stage2</input>
# 			<action type="exit">Ready</action>
# 		</progressbar>
# 	</vbox>
# </window>
# '
# 
# export INSTALL_STAGE1='
# <window title="Installation" icon-name="gtk-preferences" window_position="1" resizable="true">
# 	<vbox>
# 		<pixmap>
# 			<input file>header.png</input>
# 		</pixmap>
# 		<hbox spacing="160">
# 			<pixmap>
# 				<input file stock="gtk-preferences"></input>
# 			</pixmap>
# 			<text>
# 				<label>Installing Stage1</label>
# 			</text>
# 		</hbox>
# 		<progressbar>
# 			<input> include/bootstrap-wrapper.sh install_stage1</input>
# 			<action type="exit">Ready</action>
# 		</progressbar>
# 	</vbox>
# </window>
# '

export INSTALL_STAGE2='
<window title="Installation" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="160">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label>Installing Stage2</label>
			</text>
		</hbox>
		<progressbar>
			<input> include/bootstrap-wrapper.sh</input>
			<action type="exit">Ready</action>
		</progressbar>
	</vbox>
</window>
'

export FORMAT_DISKS='
<window title="Installation" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="160">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label>Formating disks</label>
			</text>
		</hbox>
		<progressbar>
			<input> include/prepare_disks.sh --format </input>
			<action type="exit">Ready</action>
		</progressbar>
	</vbox>
</window>
'

# bootloader
export SYSTEM_SETUP='
<window title="Bootstrap" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="160">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label>Installing</label>
			</text>
		</hbox>
		<progressbar>
			<label> Creating fstab ... </label>
			<input> system_setup</input>
			<action type="exit">Ready</action>
		</progressbar>
	</vbox>
</window>
'

# bootloader
export INSTALL_BOOTLOADER='
<window title="Bootstrap" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="160">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label> Installing Bootloader </label>
			</text>
		</hbox>
		<progressbar>
			<input> include/prepare_bootloader.sh </input>
			<action type="exit">Ready</action>
		</progressbar>
	</vbox>
</window>
'

system_setup()
{
	include/prepare_auth.sh
	echo 25
	
	include/prepare_networking.sh
	echo 50
	
	include/prepare_fstab.sh
	echo 75
	
	include/prepare_initrd.sh
	echo 100
}
export -f system_setup

main_install()
{
	rundialog FORMAT_DISKS
	include/prepare_disks.sh --mount

	rundialog INSTALL_STAGE2
	rundialog SYSTEM_SETUP
	rundialog INSTALL_BOOTLOADER

	include/prepare_disks.sh --umount
}
