# $Id$

export SELECT_TIMEZONE_REGION='
<window title="Locales" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="180">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label>Select a region</label>
			</text>
		</hbox>
		<list selection-mode="2">
			<width>300</width><height>200</height>
			<variable>TIMEZONE_REGION</variable>
			<label>Region</label>
			<input>include/timezone.sh --regions</input>
		</list>
		<hbox>
			<button>
				<label>back</label>
				<input file stock="gtk-go-back"></input>
			</button>
			<button>
				<label>next</label>
				<input file stock="gtk-go-forward"></input>
			</button>
		</hbox>
	</vbox>
</window>
'

export SELECT_TIMEZONE_LOCATION='
<window title="Locales" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="160">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label>Select a Location</label>
			</text>
		</hbox>
		<list selection-mode="2">
			<width>300</width><height>200</height>
			<variable>TIMEZONE_LOCATION</variable>
			<label>Region</label>
			<input>include/timezone.sh --locations "${TIMEZONE_REGION}"</input>
		</list>
		<hbox>
			<button>
				<label>back</label>
				<input file stock="gtk-go-back"></input>
			</button>
			<button>
				<label>next</label>
				<input file stock="gtk-go-forward"></input>
			</button>
		</hbox>
	</vbox>
</window>
'

export SELECT_LOCALES='
<window title="Locales" icon-name="gtk-preferences" window_position="1" resizable="true">
	<vbox>
		<pixmap>
			<input file>data/header.png</input>
		</pixmap>
		<hbox spacing="140">
			<pixmap>
				<input file stock="gtk-preferences"></input>
			</pixmap>
			<text>
				<label>Select a default locale</label>
			</text>
		</hbox>
		<list selection-mode="2">
			<width>300</width><height>200</height>
			<variable>LOCALE</variable>
			<label>Region</label>
			<input>localedef --list-archive | grep $(include/timezone.sh --get-code ${TIMEZONE_LOCATION})</input>
		</list>
		<hbox>
			<button>
				<label>back</label>
				<input file stock="gtk-go-back"></input>
			</button>
			<button>
				<label>next</label>
				<input file stock="gtk-go-forward"></input>
			</button>
		</hbox>
	</vbox>
</window>
'

rundialog_select_timezone_region()
{
	rundialog SELECT_TIMEZONE_REGION
	debug "EXIT='${EXIT}'"

	# save given variables in env
	# they will be shown as default on error
	export TIMEZONE_REGION

	case ${EXIT} in
		abort)
			echo "Aborted by user."
			exit 1
			;;
		back)
			# placeholder
			return 1
			;;
		next)
			if [[ -z ${TIMEZONE_REGION} ]]
			then
				FAILURE_MESSAGE="No Timezone Region selected!" \
					rundialog FAILURE_DIALOG
				rundialog_select_timezone_region
			fi
			;;
	esac
}

rundialog_select_timezone_location()
{
	rundialog SELECT_TIMEZONE_LOCATION
	debug "EXIT='${EXIT}'"

	# save given variables in env
	# they will be shown as default on error
	export TIMEZONE_LOCATION

	case ${EXIT} in
		abort)
			echo "Aborted by user."
			exit 1
			;;
		back)
			rundialog_select_timezone_region
			rundialog_select_timezone_location
			;;
		next)
			if [[ -z ${TIMEZONE_LOCATION} ]]
			then
				FAILURE_MESSAGE="No Timezone Location selected!" \
					rundialog FAILURE_DIALOG
				rundialog_select_timezone_location
			fi
			;;
	esac
}

rundialog_select_locales()
{
	rundialog SELECT_LOCALES
	debug "EXIT='${EXIT}'"

	# save given variables in env
	# they will be shown as default on error
	export LOCALES

	case ${EXIT} in
		abort)
			echo "Aborted by user."
			exit 1
			;;
		back)
			rundialog_select_timezone_location
			rundialog_select_locales
			;;
		next)
			if [[ -z ${TIMEZONE_LOCATION} ]]
			then
				FAILURE_MESSAGE="No locale selected!" \
					rundialog FAILURE_DIALOG
				rundialog_select_locale
			fi
			;;
	esac
}

main_locales()
{
	rundialog_select_timezone_region
	rundialog_select_timezone_location
	rundialog_select_locales

	# export all variables
	export TIMEZONE_REGION
	export TIMEZONE_LOCATION
	export LOCALE_ALL
	export LOCALE
}
