#!/bin/bash
# $Id$

: ${INSTALL_ROOT="/mnt/magellan"}

add_network_config()
{
	local nic="$1"
	shift

	echo "$@" >> ${INSTALL_ROOT}/etc/conf.d/net."${nic}"
}

# create empty file
:> ${INSTALL_ROOT}/etc/conf.d/net.${NETWORK_NIC}

case ${NETWORK_METHOD} in
	static)
		add_network_config ${NETWORK_NIC} 'ONBOOT="yes"'
		add_network_config ${NETWORK_NIC} 'NETWORKING="static"'
		add_network_config ${NETWORK_NIC} "IP=\"${NETWORK_IP}\""
		add_network_config ${NETWORK_NIC} "NETMASK=\"${NETWORK_NETMASK}\""
		add_network_config ${NETWORK_NIC} "BROADCAST=\"${NETWORK_BROADCAST}\""
		add_network_config ${NETWORK_NIC} "GATEWAY=\"${NETWORK_GATEWAY}\""
		add_network_config ${NETWORK_NIC} "NAMESERVER=\"${NETWORK_NAMESERVER}\""
		;;
	dhcp)
		add_network_config ${NETWORK_NIC} 'ONBOOT="yes"'
		add_network_config ${NETWORK_NIC} 'NETWORKING="dhcp"'
		add_network_config ${NETWORK_NIC} 'DHCP_PROG="/sbin/dhcpcd"'
		add_network_config ${NETWORK_NIC} 'DHCP_START="-t 10"'
		add_network_config ${NETWORK_NIC} 'DHCP_STOP="-k"'
		;;
	none)
		add_network_config ${NETWORK_NIC} 'ONBOOT="no"'
		;;
esac

echo "${NETWORK_HOSTNAME}" > ${INSTALL_ROOT}/etc/hostname

if [[ ${NETWORK_METHOD} = static ]]
then
	# the 'a' in the sed line appends a line after the regex (127.0.0.1.*localhost)
	sed -i "/127.0.0.1.*localhost/ a \${NETWORK_IP}\t${NETWORK_HOSTNAME}.${NETWORK_DOMAIN}\t${NETWORK_HOSTNAME}" ${INSTALL_ROOT}/etc/hosts
else
	sed -i "s:^\(127.0.0.1.*localhost\):\1\t${NETWORK_HOSTNAME}.${NETWORK_DOMAIN}\t${NETWORK_HOSTNAME}:" ${INSTALL_ROOT}/etc/hosts
fi
