#!/bin/sh
# $Id: installer-ncurses.sh 1034 2010-05-30 18:29:43Z niro $

# global config
source /etc/installer.conf

# helper scripts
source ${INSTALLER_DIR}/include/functions.sh
source ${INSTALLER_DIR}/include/hwdetection.sh

# gui
source ${INSTALLER_DIR}/ncurses-gui/common.sh
source ${INSTALLER_DIR}/ncurses-gui/locales.sh
source ${INSTALLER_DIR}/ncurses-gui/networking.sh
source ${INSTALLER_DIR}/ncurses-gui/usermanagement.sh
source ${INSTALLER_DIR}/ncurses-gui/diskpartition.sh
source ${INSTALLER_DIR}/ncurses-gui/install.sh

# install root
INSTALL_ROOT="/mnt/magellan"

# setup sudo
sudo=""
if [[ $(id -u) != 0 ]]
then
	SUDO=yes
	export sudo="sudo"
fi

welcome

main_locales
debug "RECEIVED: TIMEZONE_REGION='${TIMEZONE_REGION}'"
debug "RECEIVED: TIMEZONE_LOCATION='${TIMEZONE_LOCATION}'"
debug "RECEIVED: LOCALE='${LOCALE}'"

main_networking
debug "RECEIVED: NETWORK_HOSTNAME='${NETWORK_HOSTNAME}'"
debug "RECEIVED: NETWORK_DOMAIN='${NETWORK_DOMAIN}'"
debug "RECEIVED: NETWORK_NIC='${NETWORK_NIC}'"
debug "RECEIVED: NETWORK_METHOD='${NETWORK_METHOD}'"
debug "RECEIVED: NETWORK_IP='${NETWORK_IP}'"
debug "RECEIVED: NETWORK_NETMASK='${NETWORK_NETMASK}'"
debug "RECEIVED: NETWORK_BROADCAST='${NETWORK_BROADCAST}'"
debug "RECEIVED: NETWORK_GATEWAY='${NETWORK_GATEWAY}'"
debug "RECEIVED: NETWORK_NAMESERVER='${NETWORK_NAMESERVER}'"

main_usermanagement
debug "RECEIVED: ROOT_PASSWORD='${ROOT_PASSWORD}'"
debug "RECEIVED: USER_NAME='${USER_NAME}'"
debug "RECEIVED: USER_PASSWORD='${USER_PASSWORD}'"

main_diskpartition
debug "RECEIVED: PARTITION_DISK_SETUP='${PARTITION_DISK_SETUP}'"
debug "RECEIVED: PARTITION_FS_SETUP='${PARTITION_FS_SETUP}'"
debug "RECEIVED: PARTITION_DISK_ROOT='${PARTITION_DISK_ROOT}'"
debug "RECEIVED: PARTITION_FS_ROOT='${PARTITION_FS_ROOT}'"
debug "RECEIVED: PARTITION_DISK_BOOT='${PARTITION_DISK_BOOT}'"
debug "RECEIVED: PARTITION_FS_BOOT='${PARTITION_FS_BOOT}'"
debug "RECEIVED: PARTITION_DISK_HOME='${PARTITION_DISK_HOME}'"
debug "RECEIVED: PARTITION_FS_HOME='${PARTITION_FS_HOME}'"
debug "RECEIVED: PARTITION_DISK_TMP='${PARTITION_DISK_TMP}'"
debug "RECEIVED: PARTITION_FS_TMP='${PARTITION_FS_TMP}'"
debug "RECEIVED: PARTITION_DISK_USER='${PARTITION_DISK_USER}'"
debug "RECEIVED: PARTITION_FS_USER='${PARTITION_FS_USER}'"
debug "RECEIVED: PARTITION_DISK_VAR='${PARTITION_DISK_VAR}'"
debug "RECEIVED: PARTITION_FS_VAR='${PARTITION_FS_VAR}'"
debug "RECEIVED: PARTITION_DISK_SVR='${PARTITION_DISK_SVR}'"
debug "RECEIVED: PARTITION_FS_SVR='${PARTITION_FS_SVR}'"
debug "RECEIVED: PARTITION_DISK_OPT='${PARTITION_DISK_OPT}'"
debug "RECEIVED: PARTITION_FS_OPT='${PARTITION_FS_OPT}'"
debug "RECEIVED: PARTITION_DISK_SWAP='${PARTITION_DISK_SWAP}'"
debug "RECEIVED: PARTITION_FS_SWAP='${PARTITION_FS_SWAP}'"

main_install

finish
