# $Id: common.sh 1059 2010-05-31 20:59:19Z niro $

TITLE="Magellan Linux Installer"

# common dialog boxes
messagebox()
{
	local header="$1"
	local text="$2"
	local height="$3"
	local width="$4"

	[[ -z ${header} ]] && die "no header given"
	[[ -z ${text} ]] && die "no text given"
	[[ -z ${height} ]] && height=0
	[[ -z ${width} ]] && width=0

	[[ -z ${OK_LABEL} ]] && OK_LABEL="Next"

	dialog \
		--colors \
		--title "${header}" \
		--backtitle "${TITLE}" \
		--ok-label "${OK_LABEL}" \
		--msgbox "${text}" "${height}" "${width}"
}

inputbox()
{
	local header="$1"
	local text="$2"
	local height="$3"
	local width="$4"

	[[ -z ${header} ]] && die "no header given"
	[[ -z ${text} ]] && die "no text given"
	[[ -z ${height} ]] && height=0
	[[ -z ${width} ]] && width=0

	dialog \
		--stdout \
		--colors \
		--title "${header}" \
		--backtitle "${TITLE}" \
		--inputbox "${text}" "${height}" "${width}"
}

passwordbox()
{
	local header="$1"
	local text="$2"
	local height="$3"
	local width="$4"

	[[ -z ${header} ]] && die "no header given"
	[[ -z ${text} ]] && die "no text given"
	[[ -z ${height} ]] && height=0
	[[ -z ${width} ]] && width=0

	dialog \
		--stdout \
		--colors \
		--title "${header}" \
		--backtitle "${TITLE}" \
		--insecure \
		--passwordbox "${text}" "${height}" "${width}"
}

gauge()
{
	local header="$1"
	local text="$2"
	local height="$3"
	local width="$4"

	[[ -z ${header} ]] && die "no header given"
	[[ -z ${text} ]] && die "no text given"
	[[ -z ${height} ]] && height=0
	[[ -z ${width} ]] && width=0

	dialog \
		--colors \
		--title "${header}" \
		--backtitle "${TITLE}" \
		--gauge "${text}" "${height}" "${width}"
}

yesno()
{
	local header="$1"
	local text="$2"
	local height="$3"
	local width="$4"

	[[ -z ${header} ]] && die "no header given"
	[[ -z ${text} ]] && die "no text given"
	[[ -z ${height} ]] && height=0
	[[ -z ${width} ]] && width=0

	dialog \
		--colors \
		--title "${header}" \
		--backtitle "${TITLE}" \
		--defaultno \
		--yesno "${text}" "${height}" "${width}"
}

welcome() { messagebox "Welcome" "Welcome to the Magellan-Linux Installer.\n\n\nPress [Enter] to continue." 10 45; }
finish() { OK_LABEL="Exit" messagebox "Finish" "Installation successfully finished." 10 40; }
