# $Id: install.sh 1069 2010-05-31 22:50:22Z niro $

system_setup()
{
	${INSTALLER_DIR}/include/prepare_auth.sh >> ${INSTALLER_LOG} 2>&1
	echo 25

	${INSTALLER_DIR}/include/prepare_locale.sh >> ${INSTALLER_LOG} 2>&1
	echo 50

	${INSTALLER_DIR}/include/prepare_networking.sh >> ${INSTALLER_LOG} 2>&1
	echo 65

	${INSTALLER_DIR}/include/prepare_fstab.sh >> ${INSTALLER_LOG} 2>&1
	echo 75

	${INSTALLER_DIR}/include/prepare_initrd.sh >> ${INSTALLER_LOG} 2>&1
	echo 100
}

main_install()
{
	# create an empty installer log
	${INSTALLER_DIR}/include/install_log.sh --prepare

	${INSTALLER_DIR}/include/prepare_disks.sh --format --ncurses | gauge "Installing" "Formating disks..." 10 70
	${INSTALLER_DIR}/include/prepare_disks.sh --mount >> ${INSTALLER_LOG} 2>&1

	${INSTALLER_DIR}/include/bootstrap-wrapper.sh --ncurses | gauge "Installing" "Installing system..." 10 70

	system_setup | gauge "Installing" "Setup system settings..." 10 70
	${INSTALLER_DIR}/include/prepare_bootloader.sh | gauge "Installing" "Installing Bootloader..." 10 70

	# copy install log to install root
	${INSTALLER_DIR}/include/install_log.sh --copy

	${INSTALLER_DIR}/include/prepare_disks.sh --umount >> ${INSTALLER_LOG} 2>&1
}
